Bug 469203 - vfs tapset broken on RHEL5.3
vfs tapset broken on RHEL5.3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Smith
BaseOS QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 11:44 EDT by David Smith
Modified: 2009-01-20 16:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:06:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Smith 2008-10-30 11:44:51 EDT
Description of problem:

The vfs tapset is broken on RHEL5.3.  This is a regression against the version of systemtap present in RHEL5.2.

See more details in http://sourceware.org/bugzilla/show_bug.cgi?id=6972

Version-Release number of selected component (if applicable):

Kernel Version: 2.6.18-118.el5
Related Package Version: systemtap-0.7.2-1.el5

How reproducible:

Every time.

Steps to Reproduce:

(Note that for clarity's sake I've removed the WARNING messages from the following output.)

# stap -p4 buildok/vfs-all-probes.stp 
 source: probe vfs.*, 
               ^
semantic error: unable to find local 'nr_segs' near pc 0xffffffff800167d5
(alternatives: iocb buf count pos local_iov): identifier '$nr_segs' at
/usr/local/share/systemtap/tapset/vfs.stp:253:12
        source: 	nr_segs = $nr_segs
                	          ^
semantic error: probe_1487 with unresolved type: identifier '$nr_segs' at :253:12
        source: 	nr_segs = $nr_segs
                	          ^
semantic error: probe_1523 with unresolved type: identifier '$nr_segs' at :253:12
        source: 	nr_segs = $nr_segs
                	          ^
semantic error: probe_1529 with unresolved type: identifier '$nr_segs' at :253:12
        source: 	nr_segs = $nr_segs
                	          ^
Pass 2: analysis failed.  Try again with more '-v' (verbose) options.
Comment 1 Frank Ch. Eigler 2008-11-04 09:23:38 EST
Patch available.
Possible opportunity to mix in bug #469188.
Comment 4 David Smith 2008-11-05 10:42:08 EST
The following patch has been added to the spec file for this issue:

systemtap-0.7.2-PR6972-fix-vfs-tapset.patch
Comment 9 errata-xmlrpc 2009-01-20 16:06:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0184.html

Note You need to log in before you can comment on or make changes to this bug.